<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Configuration>

  <item name="WITH 3D VIEW" type="BOOL" value="true"/>

  <item name="deviationTolerance" type="NUMERIC" value="0.01"/>
  <item name="deviationLimit" type="NUMERIC" value="0.08"/>
  
  <item name="ratioDeviant" type="NUMERIC" value="0.2"/>
  <item name="ratioOuterLimit" type="NUMERIC" value="0.5"/>	

	
  <item name="precision" type="NUMERIC" value="0.005"/>	
	
  <item name="ICON_OK" type="FILE" value="DAC/ICONS/ok.png"/>
  <item name="ICON_POK" type="FILE" value="DAC/ICONS/pok.png"/>
  <item name="ICON_ERROR" type="FILE" value="DAC/ICONS/error.png"/>
  <item name="ICON_UNKNOWN" type="FILE" value="DAC/ICONS/unknown16x16.png"/>
  <item name="ICON_EXPORT" type="FILE" value="DAC/ICONS/export.png"/>
  <item name="POI_ICON_UNSELECTED" type="FILE" value="stations/poi/poicercle_rouge.png"/>
  <item name="Snapshot" type="FILE" value="icons/treetable/photo.png"/>
  <item name="Photo" type="FILE" value="icons/treetable/photo.png"/>
  <item name="3D structure" type="FILE" value="icons/treetable/pastille.png"/>
  <item name="Ellipse 2D" type="FILE" value="icons/treetable/pastille.png"/>
  <item name="Hyperlink 2D" type="FILE" value="icons/treetable/pastille.png"/>
  <item name="Polygon 2D" type="FILE" value="icons/treetable/pastille.png"/>
  <item name="Rectangle 2D" type="FILE" value="icons/treetable/pastille.png"/>
  <item name="Text 2D" type="FILE" value="icons/treetable/pastille.png"/>
  <item name="Horizontal segment" type="FILE" value="icons/treetable/segment.png"/>
  <item name="Polyline" type="FILE" value="icons/treetable/polyline.png"/>
  <item name="Segment" type="FILE" value="icons/treetable/segment.png"/>
  <item name="Vertical segment" type="FILE" value="icons/treetable/segment.png"/>
  <item name="Annotation 3D" type="FILE" value="icons/treetable/annotation.png"/>
  <item name="Point" type="FILE" value="icons/treetable/point.png"/>
  <item name="TextArea" type="FILE" value="icons/treetable/zoneTexte.png"/>
  <item name="Horizontal rectangle" type="FILE" value="icons/treetable/rectangle.png"/>
  <item name="Polygon" type="FILE" value="icons/treetable/rectangle.png"/>
  <item name="Rectangle" type="FILE" value="icons/treetable/rectangle.png"/>
  <item name="Vertical rectangle" type="FILE" value="icons/treetable/rectangle.png"/>
  <item name="Cylinder" type="FILE" value="icons/treetable/cylindre.png"/>
  <item name="Point cloud" type="FILE" value="icons/treetable/cloudviolet.png"/>
  <item name="Sphere" type="FILE" value="icons/treetable/pastille.png"/>
  <item name="Cube" type="FILE" value="icons/treetable/cube.png"/>
  <item name="Cone" type="FILE" value="icons/treetable/cone.png"/>
  <item name="Dish" type="FILE" value="icons/treetable/dish.png" />
  <item name="Mesh" type="FILE" value="icons/treetable/mesh.png" />
  <item name="RFitem" type="FILE" value="icons/treetable/rfitem.png"/>
  <item name="Trihedron" type="FILE" value="icons/toolbar/trihedron.png"/>
  <item name="Piping" type="FILE" value="icons/treetable/piping.png"/>
  <item name="Portion sphere" type="FILE" value="icons/treetable/portionSphere.png" />
  <item name="Pyramid" type="FILE" value="icons/treetable/pyramid.png" />
  <item name="Extruded polygon" type="FILE" value="icons/treetable/extrudedPolygon.png" />
  <item name="Box" type="FILE" value="icons/treetable/cube.png" />
  <item name="Rectangular torus" type="FILE" value="icons/treetable/rectangularTorus.png" />
  <item name="Circular torus" type="FILE" value="icons/treetable/circularTorus.png" />
  <item name="Vector" type="FILE" value="icons/treetable/vector.png" />
  <item name="LOCKED" type="FILE" value="APPICONS/padlock-black_16.png"/>
  <item name="ANIMATED OBJECT" type="FILE" value="planning/ICONS/animatedObjectIcone.png"/>
  <item name="SHARE_OK" type="FILE" value="icons/treetable/share_green.png"/>
  <item name="SHARE_UPD" type="FILE" value="icons/treetable/share_orange.png"/>
  <item name="SHARE_ERR" type="FILE" value="icons/treetable/share_red.png"/>
  <item name="SHARE_INPENDING" type="FILE" value="icons/treetable/in-share-pending.png"/>
  <item name="SHARE_INREFUSED" type="FILE" value="icons/treetable/in-share-refused.png"/>
  <item name="SHARE_INVALIDATED" type="FILE" value="icons/treetable/in-share-validated.png"/>
  <item name="SHARE_OUTPENDING" type="FILE" value="icons/treetable/out-share-pending.png"/>
  <item name="SHARE_OUTREFUSED" type="FILE" value="icons/treetable/out-share-refused.png"/>
  <item name="SHARE_OUTVALIDATED" type="FILE" value="icons/treetable/out-share-validated.png"/>
 

  <item 
	name=	"browserTableStructure" type="TEXT" 
  	value= 	"header: Name,      			field: name,       									width: 100,   renderer: custom,
      		 header: Status,      			field: deviationAnalysisStatus,     				width: 30,    renderer: deviationAnalysisStatusRenderer,
      		 header: % under tolerance,  	field: getDeviationAnalysisRatioUnderToleranceStr, 	width 30,
     		 header: % deviants,  			field: getDeviationAnalysisRatioDeviantsStr, 		width 30,     
     		 header: % no match,  			field: getDeviationAnalysisRatioOuterLimitStr, 		width 30,
     		 header: Path,  				field: path, 										width 200"		
  />

  <item 
  	name=	"browserTableParam" type="TEXT" 
  	value= 	"rowHeight: 20, sortable: true, typeFieldName: contextDependentType"/>
  <item 
  	name=	"browserTableTitleRenderer" type="TEXT" 
  	value= 	"iconField: contextDependentType, iconManager: Snapshot=Snapshot#Snapshot3D=POI_ICON_UNSELECTED#
  										3D structure=3D structure#Horizontal segment=Horizontal segment#Polyline=Polyline#Segment=Segment#Vertical segment=Vertical segment#
  										Annotation 3D=Annotation 3D#Point=Point#TextArea=TextArea#Photo=Photo#Horizontal rectangle=Horizontal rectangle#Polygon=Polygon#Rectangle=Rectangle#
  										Vertical rectangle=Vertical rectangle#Cylinder=Cylinder#Point cloud=Point cloud#Point cloud sphérique=Point cloud#Sphere=Sphere#Circular torus=Circular torus#
  										Ligne=Polyline#Cube=Cube#Cone=Cone#Dish=Dish#Portion sphere=Portion sphere#Mesh=Mesh#Pyramid=Pyramid#Extruded polygon=Extruded polygon#Rectangular torus=Rectangular torus#
  										Tremie=Cube#Box=Cube#ANIMATED OBJECT=ANIMATED OBJECT#Repère fonctionnel=RFitem#Piping=Piping#Trihedron=Trihedron#Vector=Vector#Segmentation Item=Point cloud;
			iconField: getAttributeString#getSharedStatus, iconManager: OK=SHARE_OK#NEEDUPDATE=SHARE_UPD#ERROR=SHARE_ERR#INPENDING=SHARE_INPENDING#INVALIDATED=SHARE_INVALIDATED#INREFUSED=SHARE_INREFUSED#OUTPENDING=SHARE_OUTPENDING#OUTVALIDATED=SHARE_OUTVALIDATED#OUTREFUSED=SHARE_OUTREFUSED;
			iconField: getAttributeString#isLockedStr, iconManager: true=LOCKED"
  />
 

	<!--  value= "name: deviationAnalysisStatusRenderer, type: icon, iconManager: 0=ICON_UNKNOWN#1=ICON_POK#2=ICON_ERROR#3=ICON_POK#4=ICON_OK" -->
   <item 
	name="browserTableRenderers" type="TEXT" 
	value= "name: deviationAnalysisStatusRenderer, type: icon, iconManager: 0=ICON_UNKNOWN#1=ICON_ERROR#2=ICON_POK#3=ICON_POK#4=ICON_OK"
  />
	
  <item 
	name="browserTableFilterConditions" type="TEXT" 
	value= "header: Name, field: name, operator: CONTAINS, valueType: STRING,
			header: Path, field: path, operator: CONTAINS, valueType: STRING"
  /> 

</Configuration>
